# Class SolanaSigner<N, C>

#### Type Parameters

- #### N extends Network

- #### C extends SolanaChains = "Solana"

#### Hierarchy

- SolanaSigner

#### Implements

- SignOnlySigner<N, C>

- Defined in platforms/solana/src/testing/signer.ts:11

#####
Index

### Constructors

constructor

### Properties

_chain
_debug
_keypair
_rpc

### Methods

address
chain
sign

## Constructors

### constructor

- new SolanaSigner<N, C>(_chain, _keypair, _rpc, _debug?): SolanaSigner<N, C>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  - #### C extends "Solana" | "Pythnet" = "Solana"

  #### Parameters

  - ##### _chain: C

  - ##### _keypair: Keypair

  - ##### _rpc: Connection

  - ##### _debug: boolean = false

  #### Returns SolanaSigner<N, C>

  - Defined in platforms/solana/src/testing/signer.ts:14

## Properties

### `Private` _chain

_chain: C

- Defined in platforms/solana/src/testing/signer.ts:15

### `Private` _debug

_debug: boolean = false

- Defined in platforms/solana/src/testing/signer.ts:18

### `Private` _keypair

_keypair: Keypair

- Defined in platforms/solana/src/testing/signer.ts:16

### `Private` _rpc

_rpc: Connection

- Defined in platforms/solana/src/testing/signer.ts:17

## Methods

### address

- address(): string

- #### Returns string

  Implementation of SignOnlySigner.address

  - Defined in platforms/solana/src/testing/signer.ts:25

### chain

- chain(): C

- #### Returns C

  Implementation of SignOnlySigner.chain

  - Defined in platforms/solana/src/testing/signer.ts:21

### sign

- sign(tx): Promise<any[]>

- #### Parameters

  - ##### tx: UnsignedTransaction<"Mainnet" | "Testnet" | "Devnet", "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">[]

  #### Returns Promise<any[]>

  Implementation of SignOnlySigner.sign

  - Defined in platforms/solana/src/testing/signer.ts:29

Generated using TypeDoc